TauP_Create (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: TauP_Create

Package edu.sc.seis.TauP

# Class TauP_Create

java.lang.Object
edu.sc.seis.TauP.TauP_Tool
edu.sc.seis.TauP.TauP_Create

    public class TauP_Create
    extends TauP_Tool

TauP_Create - Re-implementation of the seismic travel time calculation method described in "The Computation of Seismic Travel Times" by Buland and Chapman, BSSA vol. 73, No. 5, October 1983, pp 1271-1302. This creates the SlownessModel and tau branches and saves them for later use.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected boolean` | `GUI` |
  `protected java.util.Properties` | `toolProps` |
  `protected java.lang.String` | `velFileType` |

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Tool

  `DEBUG, expert, GMT, JSON, outFileBase, outForms, outputFormat, SVG, TEXT, verbose, writer`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TauP_Create()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `TauModel` | `createTauModel​(VelocityModel vMod)` |
  `static boolean` | `dashEquals​(java.lang.String argName, java.lang.String arg)` |
  `void` | `destroy()` |
  `boolean` | `getDEBUG()` |
  `java.lang.String` | `getDirectory()` |
  `java.lang.String` | `getModelFilename()` |
  `java.lang.String` | `getVelFileType()` |
  `void` | `init()` |
  `VelocityModel` | `loadVMod()` |
  `static void` | `main​(java.lang.String[] args)` | Allows TauP_Create to run as an application.
  `protected java.lang.String[]` | `parseCmdLineArgs​(java.lang.String[] origArgs)` |
  `void` | `parseFileName​(java.lang.String modelFilename)` |
  `void` | `printUsage()` |
  `void` | `setAllowInnerCoreS​(boolean allowInnerCoreS)` |
  `void` | `setDEBUG​(boolean DEBUG)` |
  `void` | `setDirectory​(java.lang.String directory)` |
  `void` | `setMaxDeltaP​(float maxDeltaP)` |
  `void` | `setMaxDepthInterval​(float maxDepthInterval)` |
  `void` | `setMaxInterpError​(float maxInterpError)` |
  `void` | `setMaxRangeInterval​(float maxRangeInterval)` |
  `void` | `setMinDeltaP​(float minDeltaP)` |
  `void` | `setModelFilename​(java.lang.String modelFilename)` |
  `void` | `setVelFileType​(java.lang.String type)` |
  `void` | `setVelocityModel​(VelocityModel vMod)` |
  `void` | `start()` |

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Tool

  `endGmtAndCleanUp, getOutFile, getOutFileBase, getOutFileExtension, getOutputFormat, getWriter, parseCommonCmdLineArgs, printNoComprendoArgs, printScriptBeginning, printStdUsageHead, printStdUsageTail, setOutFileBase, setOutFileExtension, setOutputFormat, setWriter, toolNameFromClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### velFileType

    protected java.lang.String velFileType

  - ### GUI

    protected boolean GUI

  - ### toolProps

    protected java.util.Properties toolProps

- ## Constructor Details

  - ### TauP_Create

    public TauP_Create()

- ## Method Details

  - ### setDirectory

    public void setDirectory​(java.lang.String directory)

  - ### getDirectory

    public java.lang.String getDirectory()

  - ### setModelFilename

    public void setModelFilename​(java.lang.String modelFilename)

  - ### getModelFilename

    public java.lang.String getModelFilename()

  - ### getVelFileType

    public java.lang.String getVelFileType()

  - ### setVelFileType

    public void setVelFileType​(java.lang.String type)

  - ### setDEBUG

    public void setDEBUG​(boolean DEBUG)

  - ### getDEBUG

    public boolean getDEBUG()

  - ### setVelocityModel

    public void setVelocityModel​(VelocityModel vMod)

  - ### setMinDeltaP

    public void setMinDeltaP​(float minDeltaP)

  - ### setMaxDeltaP

    public void setMaxDeltaP​(float maxDeltaP)

  - ### setMaxDepthInterval

    public void setMaxDepthInterval​(float maxDepthInterval)

  - ### setMaxRangeInterval

    public void setMaxRangeInterval​(float maxRangeInterval)

  - ### setMaxInterpError

    public void setMaxInterpError​(float maxInterpError)

  - ### setAllowInnerCoreS

    public void setAllowInnerCoreS​(boolean allowInnerCoreS)

  - ### printUsage

    public void printUsage()
    Specified by:
      `printUsage` in class `TauP_Tool`

  - ### dashEquals

    public static boolean dashEquals​(java.lang.String argName, java.lang.String arg)

  - ### parseCmdLineArgs

    protected java.lang.String[] parseCmdLineArgs​(java.lang.String[] origArgs)
    Specified by:
      `parseCmdLineArgs` in class `TauP_Tool`

  - ### main

    public static void main​(java.lang.String[] args) throws java.io.IOException
    Allows TauP_Create to run as an application. Creates an instance of TauP_Create and calls tauPCreate.init() and tauPCreate.start(). ToolRun.main should be used instead.
    Throws:
      `java.io.IOException`

  - ### parseFileName

    public void parseFileName​(java.lang.String modelFilename)

  - ### loadVMod

    public VelocityModel loadVMod() throws java.io.IOException, VelocityModelException
    Throws:
      `java.io.IOException`
      `VelocityModelException`

  - ### createTauModel

    public TauModel createTauModel​(VelocityModel vMod) throws VelocityModelException, SlownessModelException, TauModelException
    Throws:
      `VelocityModelException`
      `SlownessModelException`
      `TauModelException`

  - ### start

    public void start() throws SlownessModelException, TauModelException, VelocityModelException, java.io.IOException
    Specified by:
      `start` in class `TauP_Tool`
    Throws:
      `SlownessModelException`
      `TauModelException`
      `VelocityModelException`
      `java.io.IOException`

  - ### init

    public void init() throws TauPException
    Specified by:
      `init` in class `TauP_Tool`
    Throws:
      `TauPException`

  - ### destroy

    public void destroy() throws TauPException
    Specified by:
      `destroy` in class `TauP_Tool`
    Throws:
      `TauPException`